package com.ruoyi.file.service;

import com.ruoyi.file.domain.FilesProject;

import java.util.List;

/**
 * 项目管理Service接口
 * 
 * @author cmc
 * @date 2022-09-05
 */
public interface IFilesProjectService 
{
    /**
     * 查询项目管理
     * 
     * @param id 项目管理主键
     * @return 项目管理
     */
    public FilesProject selectFilesProjectById(String id);
    /**
     * 查询项目
     *
     * @param id 项目管理主键
     * @return 项目管理
     */
    public FilesProject selectFilesProjectByNumber(String projectNumber);

    /**
     * 查询项目管理列表
     * 
     * @param filesProject 项目管理
     * @return 项目管理集合
     */
    public List<FilesProject> selectFilesProjectList(FilesProject filesProject);

    /**
     * 新增项目管理
     * 
     * @param filesProject 项目管理
     * @return 结果
     */
    public int insertFilesProject(FilesProject filesProject);

    /**
     * 修改项目管理
     * 
     * @param filesProject 项目管理
     * @return 结果
     */
    public int updateFilesProject(FilesProject filesProject);

    /**
     * 批量删除项目管理
     * 
     * @param ids 需要删除的项目管理主键集合
     * @return 结果
     */
    public int deleteFilesProjectByIds(String[] ids);

    /**
     * 删除项目管理信息
     * 
     * @param id 项目管理主键
     * @return 结果
     */
    public int deleteFilesProjectById(String id);

    int selectAllCount(FilesProject filesProject);

    /**
     *根据项目编号获取项目信息
     *
     * @param ids 项目编号
     * @return 结果
     */
    public List<FilesProject> selectFilesProjectByNumbers(String[] ids);
}
