package com.ruoyi.file.service.impl;

import com.ruoyi.file.domain.FilesProject;
import com.ruoyi.file.mapper.FilesAchievementMapper;
import com.ruoyi.file.mapper.FilesProjectMapper;
import com.ruoyi.file.service.IFilesProjectService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 项目管理Service业务层处理
 * 
 * @author cmc
 * @date 2022-09-05
 */
@Service
public class FilesProjectServiceImpl implements IFilesProjectService 
{
    @Autowired
    private FilesProjectMapper filesProjectMapper;
    @Autowired
    private FilesAchievementMapper filesAchievementMapper;
    /**
     * 查询项目管理
     * 
     * @param id 项目管理主键
     * @return 项目管理
     */
    @Override
    public FilesProject selectFilesProjectById(String id)
    {
        return filesProjectMapper.selectFilesProjectById(id);
    }

    /**
     * 查询项目管理
     *
     * @param projectNumber 项目编号
     * @return 项目管理
     */
    @Override
    public FilesProject selectFilesProjectByNumber(String projectNumber)
    {
        return filesProjectMapper.selectFilesProjectByNumber(projectNumber);
    }

    /**
     * 查询项目管理列表
     * 
     * @param filesProject 项目管理
     * @return 项目管理
     */
    @Override
    public List<FilesProject> selectFilesProjectList(FilesProject filesProject)
    {
        return filesProjectMapper.selectFilesProjectList(filesProject);
    }

    /**
     * 新增项目管理
     * 
     * @param filesProject 项目管理
     * @return 结果
     */
    @Override
    public int insertFilesProject(FilesProject filesProject)
    {
        return filesProjectMapper.insertFilesProject(filesProject);
    }

    /**
     * 修改项目管理
     * 
     * @param filesProject 项目管理
     * @return 结果
     */
    @Override
    public int updateFilesProject(FilesProject filesProject)
    {
        return filesProjectMapper.updateFilesProject(filesProject);
    }

    /**
     * 批量删除项目管理
     * 
     * @param ids 需要删除的项目管理主键
     * @return 结果
     */
    @Override
    public int deleteFilesProjectByIds(String[] ids)
    {
        try{
            filesAchievementMapper.deleteFilesAchievementByProjectIds(ids);
            return filesProjectMapper.deleteFilesProjectByIds(ids);
        }catch (Exception e) {
            throw new RuntimeException();
        }
    }

    /**
     * 删除项目管理信息
     * 
     * @param id 项目管理主键
     * @return 结果
     */
    @Override
    public int deleteFilesProjectById(String id)
    {
        return filesProjectMapper.deleteFilesProjectById(id);
    }

    @Override
    public int selectAllCount(FilesProject filesProject) {
        return filesProjectMapper.selectAllCount(filesProject);
    }

    @Override
    public List<FilesProject> selectFilesProjectByNumbers(String[] ids){
        return filesProjectMapper.selectFilesProjectByNumbers(ids);
    }
}
